Skip to main content
POST
/
projects
Create Project
curl --request POST \
  --url https://api.example.com/projects \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "archived": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Payload to create a new project.

name
string
required
Required string length: 1 - 120
description
string | null
Maximum string length: 2000

Response

Successful Response

A project as returned by the API.

id
string<uuid>
required
org_id
string<uuid>
required
name
string
required
description
string | null
required
archived
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required